org.apache.cassandra.db

## Class WindowsFailedSnapshotTracker

- java.lang.Object
- - org.apache.cassandra.db.WindowsFailedSnapshotTracker

    public class WindowsFailedSnapshotTracker
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `TODELETEFILE`

### Constructor Summary

Constructors
Constructor and Description
`WindowsFailedSnapshotTracker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `deleteOldSnapshots()`
`static void` `handleFailedSnapshot(java.io.File dir)`
`static void` `resetForTests()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TODELETEFILE

    public static final java.lang.String TODELETEFILE

### Constructor Detail

#### WindowsFailedSnapshotTracker

    public WindowsFailedSnapshotTracker()

### Method Detail

#### deleteOldSnapshots

    public static void deleteOldSnapshots()

#### handleFailedSnapshot

    public static void handleFailedSnapshot(java.io.File dir)

#### resetForTests

    public static void resetForTests()